<?php

if (! defined('ABSPATH')) {
    exit; // Prevent direct access
}

use Sibs2\sibsConstants;
use Sibs2\sibsPaymentGateway;

class Gateway_Sibs_STG_Pbl extends sibsPaymentGateway
{
    public $id    = sibsConstants::SIBS_PAYMENT_METHOD_ORDER_PAY_BY_LINK;

    public $title = 'Pay By Link';

    public function __construct()
    {
        parent::__construct();
        $this->title = __('FRONTEND_PM_PBL', sibsConstants::SIBS_TRANSLATE);
    }

    public function sibs_get_payment_logo()
    {
        return "{$this->plugins_url}/assets/images/pbl.png";
    }

    public function needs_setup()
    {
        return false;
    }
}

$obj = new Gateway_Sibs_STG_Pbl();
